# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/Constants.pm) perl(Apache2/Const.pm) perl(Apache2/Log.pm) perl(Apache2/Request.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Time/HiRes.pm) perl(XML/Writer.pm)
# END SourceDeps(oneline)
%define otl2html_version 1.40

Name:           vim-vimoutliner
Version:        0.3.6
Release:        alt1_3
Summary:        Script for building an outline editor on top of Vim
Group:          Editors
# LICENSE says v2, but the code all says v2+
License:        GPLv2+
URL:            http://www.vimoutliner.org/
Source0:        https://github.com/downloads/vimoutliner/vimoutliner/vimoutliner-%{version}.tgz
# the following two tarballs are from http://www.vimoutliner.org as well, but
# they are in CMS without good URLs.
Source1:        otl2html-%{otl2html_version}.tgz
Source2:        otl_handler.tgz
# things which are in discussion about putting upstream
Source3:        vimoutliner-local.tar.bz2
Source4:        vimoutliner-README.Fedora
Source5:        vimoutliner-Makefile
Patch:          vimoutliner-mc-build.patch
BuildArch:      noarch
Requires:       vim-enhanced perl
Requires(post): vim-enhanced
Requires(postun): vim-enhanced
Source44: import.info
#Requires:       libxml-writer-perl libpalm-perl

%description
Vimoutliner provides commands for building using the Vim text editor as an
outline editor. For more explanation on what outlines are and what they are
good for see the script's webpage at
http://www.vimoutliner.org and the general discussion of outlines on
http://www.troubleshooters.com/tpromag/199911/199911.htm.

%prep
%setup -q -n vimoutliner -a 1 -a 2 -a 3
cp -f -p  %{SOURCE4} README.Fedora
cp -f -p  %{SOURCE5} Makefile
find . -name .\*.swp -delete
mv ../{colors,doc,ftdetect,ftplugin,syntax,CHANGELOG,INSTALL,README*,install.sh,LICENSE} .
mv otl2html-* doc/otl2html
mv otl_handler doc/otl_handler
mv doc/otl2html/README README.otl2html
mv doc/otl_handler/README README.otl_handler
mv doc/vo_readme.txt .
find doc/ -type f -perm /111 -exec chmod -x '{}' \;
rm doc/otl2html/otl2html.py
%patch -p1 -b .MC-build

%build
mv doc examples

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -m a+rx,u+w -d $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m a+r,u+w vimoutlinerrc \
   $RPM_BUILD_ROOT%{_sysconfdir}/vimoutlinerrc
install -m a+rx,u+w -d $RPM_BUILD_ROOT%{_datadir}/mime/packages
install -p -m a+r,u+w vimoutliner-mimefile.xml \
   $RPM_BUILD_ROOT%{_datadir}/mime/packages/vimoutliner.xml

%post
umask 022
[ ! -x %{_bindir}/update-mime-database ] \
    || update-mime-database %{_datadir}/mime >/dev/null 2>&1 ||:
cd %{_datadir}/vim/vimfiles/doc
vim -u NONE -esX -c "helptags ." -c quit
grep -q "filetype plugin on" /etc/vimrc \
    || echo -e "\nfiletype plugin on" >>/etc/vimrc

%postun
if [ $1 -eq 0 ]; then
   umask 022
   [ ! -x %{_bindir}/update-mime-database ] \
       || update-mime-database %{_datadir}/mime >/dev/null 2>&1 ||:
   cd %{_datadir}/vim/vimfiles/doc
   vim -u NONE -esX -c "helptags ." -c quit
fi

%files
%doc README.otl2html README.otl_handler README.Fedora LICENSE
%doc examples
%config(noreplace) %{_sysconfdir}/vimoutlinerrc
#%_{_bindir}/otl2html
%{_bindir}/vo_maketags
%{_datadir}/vim/vimfiles/*/*
%{_datadir}/mime/packages/vimoutliner.xml
%{_mandir}/man1/*.1*

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.6-alt1_3
- initial fc import

